Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS12cTdqLTZwY3EtZjQ4cM4AAl8N

Path traversal vulnerability in Blue Ocean Plugin

Blue Ocean Plugin 1.23.2 and earlier provides an undocumented feature flag, blueocean.features.GIT_READ_SAVE_TYPE, that when set to the value clone allows an attacker with Item/Configure or Item/Create permission to read arbitrary files on the Jenkins controller file system.

Blue Ocean Plugin 1.23.3 no longer includes this feature and redirects existing usage to a safer alternative.

Permalink: https://github.com/advisories/GHSA-vq7j-6pcq-f48p
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS12cTdqLTZwY3EtZjQ4cM4AAl8N
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: almost 2 years ago
Updated: 5 months ago


CVSS Score: 5.3
CVSS vector: CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N

Identifiers: GHSA-vq7j-6pcq-f48p, CVE-2020-2254
References: Repository: https://github.com/jenkinsci/blueocean-plugin
Blast Radius: 1.0

Affected Packages

maven:io.jenkins.blueocean:blueocean
Affected Version Ranges: <= 1.23.2
Fixed in: 1.23.3